com.mockobjects.jms

## Class MockMapMessage

- java.lang.Object
- - com.mockobjects.MockObject
  - - com.mockobjects.jms.MockMessage
    - - com.mockobjects.jms.MockMapMessage

All Implemented Interfaces:
  Verifiable

    public class MockMapMessage
    extends MockMessage

MockMapMessage

Version:
  $Revision: 1.1 $
Author:
  ggalli@e-tree.com

### Constructor Summary

Constructors
Constructor and Description
`MockMapMessage()`

### Method Summary

Methods
`boolean` `getBoolean(java.lang.String aKey)`
`byte` `getByte(java.lang.String aKey)`
`byte[]` `getBytes(java.lang.String aKey)`
`char` `getChar(java.lang.String aKey)`
`double` `getDouble(java.lang.String aKey)`
`float` `getFloat(java.lang.String aKey)`
`int` `getInt(java.lang.String aKey)`
`long` `getLong(java.lang.String aKey)`
`java.util.Enumeration` `getMapNames()`
`java.lang.Object` `getObject(java.lang.String aKey)`
`short` `getShort(java.lang.String aKey)`
`java.lang.String` `getString(java.lang.String aKey)`
`boolean` `itemExists(java.lang.String aKey)`
`void` `setBoolean(java.lang.String aKey, boolean p)`
`void` `setByte(java.lang.String aKey, byte p)`
`void` `setBytes(java.lang.String aKey, byte[] p)`
`void` `setBytes(java.lang.String aKey, byte[] p, int n, int n1)`
`void` `setChar(java.lang.String aKey, char p)`
`void` `setDouble(java.lang.String aKey, double p)`
`void` `setExpectedObjectProperty(java.lang.String aKey, java.lang.Object anObject)`
`void` `setFloat(java.lang.String aKey, float p)`
`void` `setInt(java.lang.String aKey, int p)`
`void` `setLong(java.lang.String aKey, long p)`
`void` `setObject(java.lang.String aKey, java.lang.Object p)`
`void` `setObjectProperty(java.lang.String aKey, java.lang.Object anObject)`
`void` `setShort(java.lang.String aKey, short p)`
`void` `setString(java.lang.String aKey, java.lang.String aKey1)`

### Methods inherited from class com.mockobjects.jms.MockMessage

`acknowledge, clearBody, clearProperties, getBooleanProperty, getByteProperty, getDoubleProperty, getFloatProperty, getIntProperty, getJMSCorrelationID, getJMSCorrelationIDAsBytes, getJMSDeliveryMode, getJMSDestination, getJMSExpiration, getJMSMessageID, getJMSPriority, getJMSRedelivered, getJMSReplyTo, getJMSTimestamp, getJMSType, getLongProperty, getObjectProperty, getPropertyNames, getShortProperty, getStringProperty, propertyExists, setBooleanProperty, setByteProperty, setDoubleProperty, setExpectedAcknowledgeCalls, setExpectedJMSReplyTo, setExpectedSetJMSCorrelationIDCalls, setFloatProperty, setIntProperty, setJMSCorrelationID, setJMSCorrelationIDAsBytes, setJMSDeliveryMode, setJMSDestination, setJMSExpiration, setJMSMessageID, setJMSPriority, setJMSRedelivered, setJMSReplyTo, setJMSTimestamp, setJMSType, setLongProperty, setShortProperty, setStringProperty, setupJMSMessageID, setupThrowException`

### Methods inherited from class com.mockobjects.MockObject

`notImplemented, notYetImplemented, verify`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MockMapMessage

    public MockMapMessage()

### Method Detail

#### getBoolean

    public boolean getBoolean(java.lang.String aKey)
                       throws JMSException

Throws:
  `JMSException`

#### getByte

    public byte getByte(java.lang.String aKey)
                 throws JMSException

Throws:
  `JMSException`

#### getBytes

    public byte[] getBytes(java.lang.String aKey)
                    throws JMSException

Throws:
  `JMSException`

#### getChar

    public char getChar(java.lang.String aKey)
                 throws JMSException

Throws:
  `JMSException`

#### getDouble

    public double getDouble(java.lang.String aKey)
                     throws JMSException

Throws:
  `JMSException`

#### getFloat

    public float getFloat(java.lang.String aKey)
                   throws JMSException

Throws:
  `JMSException`

#### getInt

    public int getInt(java.lang.String aKey)
               throws JMSException

Throws:
  `JMSException`

#### getLong

    public long getLong(java.lang.String aKey)
                 throws JMSException

Throws:
  `JMSException`

#### getMapNames

    public java.util.Enumeration getMapNames()
                                      throws JMSException

Throws:
  `JMSException`

#### getObject

    public java.lang.Object getObject(java.lang.String aKey)
                               throws JMSException

Throws:
  `JMSException`

#### getShort

    public short getShort(java.lang.String aKey)
                   throws JMSException

Throws:
  `JMSException`

#### getString

    public java.lang.String getString(java.lang.String aKey)
                               throws JMSException

Throws:
  `JMSException`

#### itemExists

    public boolean itemExists(java.lang.String aKey)
                       throws JMSException

Throws:
  `JMSException`

#### setBoolean

    public void setBoolean(java.lang.String aKey,
                  boolean p)
                    throws JMSException

Throws:
  `JMSException`

#### setByte

    public void setByte(java.lang.String aKey,
               byte p)
                 throws JMSException

Throws:
  `JMSException`

#### setBytes

    public void setBytes(java.lang.String aKey,
                byte[] p)
                  throws JMSException

Throws:
  `JMSException`

#### setBytes

    public void setBytes(java.lang.String aKey,
                byte[] p,
                int n,
                int n1)
                  throws JMSException

Throws:
  `JMSException`

#### setChar

    public void setChar(java.lang.String aKey,
               char p)
                 throws JMSException

Throws:
  `JMSException`

#### setDouble

    public void setDouble(java.lang.String aKey,
                 double p)
                   throws JMSException

Throws:
  `JMSException`

#### setFloat

    public void setFloat(java.lang.String aKey,
                float p)
                  throws JMSException

Throws:
  `JMSException`

#### setInt

    public void setInt(java.lang.String aKey,
              int p)
                throws JMSException

Throws:
  `JMSException`

#### setLong

    public void setLong(java.lang.String aKey,
               long p)
                 throws JMSException

Throws:
  `JMSException`

#### setObject

    public void setObject(java.lang.String aKey,
                 java.lang.Object p)
                   throws JMSException

Throws:
  `JMSException`

#### setObjectProperty

    public void setObjectProperty(java.lang.String aKey,
                         java.lang.Object anObject)

Overrides:
  `setObjectProperty` in class `MockMessage`

#### setShort

    public void setShort(java.lang.String aKey,
                short p)
                  throws JMSException

Throws:
  `JMSException`

#### setString

    public void setString(java.lang.String aKey,
                 java.lang.String aKey1)
                   throws JMSException

Throws:
  `JMSException`

#### setExpectedObjectProperty

    public void setExpectedObjectProperty(java.lang.String aKey,
                                 java.lang.Object anObject)